# Generated from gatehouse-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gatehouse

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Session-oriented authentication and account management system for Ruby on Rails and PostgreSQL
License: MIT
URL: https://github.com/tonyhburns/gatehouse
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
BuildArch: noarch

%description
Session-oriented authentication and account management system for Ruby on
Rails and PostgreSQL.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.pryrc
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/SECURITY.md
%{gem_instdir}/app
%{gem_libdir}
%{gem_instdir}/tonyhburns.asc
%{gem_instdir}/tonyhburns.pem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/gatehouse.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
